Debian Bug report logs - #470975
bakery2.4: FTBFS with g++-4.3: Missing includes

version graph

Package: bakery2.4; Maintainer for bakery2.4 is (unknown);

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Fri, 14 Mar 2008 21:31:30 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version 2.4.0-2

Fixed in versions bakery2.4/2.4.0-2.1, 2.4.4-1

Done: peter green <plugwash@p10link.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#470975; Package bakery2.4. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: submit@bugs.debian.org
Subject: bakery2.4: FTBFS with g++-4.3: Missing includes
Date: Fri, 14 Mar 2008 17:25:21 -0400
Package: bakery2.4
Version: 2.4.0-2
Severity: important
User: tbm@cyrius.com
Usertags: ftbfs-gcc-4.3

From my pbuilder build log, with g++ -> g++-4.3:

...
if /bin/bash ../../libtool --tag=CXX --mode=compile 
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../ -DPNG_NO_MMX_CODE -DORBIT2=1 -pthread -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6 -I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/gconfmm-2.6 -I/usr/lib/gconfmm-2.6/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/libglademm-2.4 -I/usr/lib/libglademm-2.4/include -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/gnome-vfsmm-2.6 -I/usr/lib/gnome-vfsmm-2.6/include -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include      -g -O2 -MT 
App_WithDoc_Gtk.lo -MD -MP -MF ".deps/App_WithDoc_Gtk.Tpo" -c -o App_WithDoc_Gtk.lo 
App_WithDoc_Gtk.cc; \
        then mv -f ".deps/App_WithDoc_Gtk.Tpo" ".deps/App_WithDoc_Gtk.Plo"; else 
rm -f ".deps/App_WithDoc_Gtk.Tpo"; exit 1; fi
 
x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../ -DPNG_NO_MMX_CODE -DORBIT2=1 -pthread -I/usr/include/gtkmm-2.4 -I/usr/lib/gtkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib/glibmm-2.4/include -I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/include/atkmm-1.6 -I/usr/include/gtk-2.0 -I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/cairomm-1.0 -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/gconfmm-2.6 -I/usr/lib/gconfmm-2.6/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/libglademm-2.4 -I/usr/lib/libglademm-2.4/include -I/usr/include/libglade-2.0 -I/usr/include/libxml2 -I/usr/include/libxml++-2.6 -I/usr/lib/libxml++-2.6/include -I/usr/include/gnome-vfsmm-2.6 -I/usr/lib/gnome-vfsmm-2.6/include -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -g -O2 -MT 
App_WithDoc_Gtk.lo -MD -MP -MF .deps/App_WithDoc_Gtk.Tpo -c 
App_WithDoc_Gtk.cc  -fPIC -DPIC -o .libs/App_WithDoc_Gtk.o
App_WithDoc_Gtk.cc: In member function 'void 
Bakery::App_WithDoc_Gtk::on_recent_files_activate(EggRecentItem*)':
App_WithDoc_Gtk.cc:297: error: 'strlen' was not declared in this scope
make[5]: *** [App_WithDoc_Gtk.lo] Error 1
make[5]: Leaving directory `/tmp/buildd/bakery2.4-2.4.0/bakery/App'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/tmp/buildd/bakery2.4-2.4.0/bakery/App'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/buildd/bakery2.4-2.4.0/bakery'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/bakery2.4-2.4.0'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/bakery2.4-2.4.0'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
-- 
Daniel Schepler




Severity set to `serious' from `important' Request was from Marc Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:46:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#470975; Package bakery2.4. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #12 received at 470975@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 470975@bugs.debian.org
Cc: mhy@debian.org
Subject: bakery2.4: diff for NMU version 2.4.0-2.1
Date: Sat, 5 Apr 2008 15:16:31 +0100
[Message part 1 (text/plain, inline)]
tags 470975 + patch
thanks

Hi,

Attached is the proposed diff for my bakery2.4 2.4.0-2.1 NMU.
Mark: care to sponsor?

Regards,
    Simon
[bakery2.4-2.4.0-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@ianadd.pseudorandom.co.uk> to control@bugs.debian.org. (Sat, 05 Apr 2008 14:18:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#470975; Package bakery2.4. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Krause <skrause@realpath.org>:
Extra info received and forwarded to list. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #19 received at 470975@bugs.debian.org (full text, mbox):

From: Sebastian Krause <skrause@realpath.org>
To: 470975@bugs.debian.org
Subject: bakery2.4: diff for NMU version 2.4.0-2.1
Date: Sat, 5 Apr 2008 16:45:07 +0200
[Message part 1 (text/plain, inline)]
tags 470975 + patch
thanks

Hi,

Attached is the diff for my bakery2.4 2.4.0-2.1 NMU.
[bakery2.4-2.4.0-2.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#470975; Package bakery2.4. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #24 received at 470975@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 470975@bugs.debian.org
Cc: mhy@debian.org
Subject: bakery2.4: diff for NMU version 2.4.0-2.1
Date: Sat, 5 Apr 2008 15:45:00 +0100
[Message part 1 (text/plain, inline)]
tags 470975 + patch
thanks

Here's a somewhat larger nmudiff that fixes the obvious Lintian
complaints while I'm at it. Upload whichever you prefer.

Thanks,
    Simon
[bakery2.4-2.4.0-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Sebastian Krause <skrause@realpath.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 14:48:07 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 470975-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 470975-close@bugs.debian.org
Subject: Bug#470975: fixed in bakery2.4 2.4.0-2.1
Date: Sat, 05 Apr 2008 16:02:30 +0000
Source: bakery2.4
Source-Version: 2.4.0-2.1

We believe that the bug you reported is fixed in the latest version of
bakery2.4, which is due to be installed in the Debian FTP archive:

bakery2.4_2.4.0-2.1.diff.gz
  to pool/main/b/bakery2.4/bakery2.4_2.4.0-2.1.diff.gz
bakery2.4_2.4.0-2.1.dsc
  to pool/main/b/bakery2.4/bakery2.4_2.4.0-2.1.dsc
libbakery-2.4-1_2.4.0-2.1_amd64.deb
  to pool/main/b/bakery2.4/libbakery-2.4-1_2.4.0-2.1_amd64.deb
libbakery-2.4-dev_2.4.0-2.1_amd64.deb
  to pool/main/b/bakery2.4/libbakery-2.4-dev_2.4.0-2.1_amd64.deb
libbakery-common_2.4.0-2.1_all.deb
  to pool/main/b/bakery2.4/libbakery-common_2.4.0-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 470975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@ianadd.pseudorandom.co.uk> (supplier of updated bakery2.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 14:08:59 +0000
Source: bakery2.4
Binary: libbakery-2.4-dev libbakery-2.4-1 libbakery-common
Architecture: source amd64 all
Version: 2.4.0-2.1
Distribution: unstable
Urgency: low
Maintainer: Bradley Bell <btb@debian.org>
Changed-By: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Description: 
 libbakery-2.4-1 - A C++ Application Framework (shared libraries)
 libbakery-2.4-dev - A C++ Application Framework (development files)
 libbakery-common - A C++ Application Framework (common files)
Closes: 470975
Changes: 
 bakery2.4 (2.4.0-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add #include <cstring> to keep g++ 4.3 happy. (Closes: #470975)
   * Keep lintian happier:
     - don't ignore errors in make distclean
     - make binNMUable (Source-Version -> binary:Version, source:Version)
     - move docs from Apps/Programming to Programming
     - relax unnecessarily strict build dependencies that look at Debian
       revision
Files: 
 bce1f31a57a7421f90f81efb8be6effd 798 libs optional bakery2.4_2.4.0-2.1.dsc
 57ebe9d8776a9c2405ca79a34dee65d7 11430 libs optional bakery2.4_2.4.0-2.1.diff.gz
 b93bf312d0c54de473409eccfab99cd7 696808 libdevel optional libbakery-2.4-dev_2.4.0-2.1_amd64.deb
 b668c6d4b059dbdab7da291542eae859 116566 libs optional libbakery-2.4-1_2.4.0-2.1_amd64.deb
 fad93282069d6c207ff2210b6ba32be4 24382 libs optional libbakery-common_2.4.0-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH956qNIW6CNDsByMRApMdAJ0d4cx1UNdcFKDPNJLXX9/8Z+niCACg0Usj
r+0QfNCutAQdKjYS4+OR2jQ=
=oCef
-----END PGP SIGNATURE-----





Reply sent to peter green <plugwash@p10link.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 470975-close@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 470975-close@bugs.debian.org
Subject: mark as fixed in latest version to fix a false positive on turmzimmer
Date: Sun, 20 Apr 2008 00:35:07 +0100
version: 2.4.4-1

mark this as fixed in the latest version to fix a false positive on turmzimmer





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 15 Aug 2008 21:47:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:00:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:37:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.